X2Go Bug report logs - #314
nx-libs compilation warnings

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: "Mirraz Mirraz" <mirraz1@rambler.ru>

Date: Sun, 29 Sep 2013 08:33:02 UTC

Severity: normal

Tags: patch, pending

Found in version 3.5.0.21

Fixed in version 2:3.5.0.22

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Sun, 29 Sep 2013 08:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mirraz Mirraz" <mirraz1@rambler.ru>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 29 Sep 2013 08:33:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Mirraz Mirraz" <mirraz1@rambler.ru>
To: submit@bugs.x2go.org
Subject: nx-libs compilation warnings
Date: Sun, 29 Sep 2013 12:31:14 +0400
Package: nx-libs
Version: 3.5.0.21

Building nx-libs-3.5.0.21-full I'v got this compilation warnings:

ddxLoad.c:220:3: warning: implicit declaration of function ‘stat’ [-Wimplicit-function-declaration]

imLcPrs.c:592:14: warning: array subscript is above array bounds [-Warray-bounds]
get.c:1797:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:1809:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:1821:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:3645:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:3657:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:3669:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:5493:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:5505:40: warning: array subscript is above array bounds [-Warray-bounds]
get.c:5517:40: warning: array subscript is above array bounds [-Warray-bounds]
arbprogparse.c:3262:14: warning: array subscript is above array bounds [-Warray-bounds]

XKBMisc.c:669:23: warning: the address of ‘newTypes’ will always evaluate as ‘true’ [-Waddress]
lcFile.c:441:11: warning: the address of ‘cat’ will always evaluate as ‘true’ [-Waddress]
miwindow.c:117:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
security.c:1403:51: warning: the address of ‘imageBox’ will always evaluate as ‘true’ [-Waddress]
window.c:442:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
window.c:443:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
window.c:444:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
window.c:445:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
panoramiX.c:453:48: warning: the address of ‘TheBox’ will always evaluate as ‘true’ [-Waddress]
panoramiX.c:1185:51: warning: the address of ‘SrcBox’ will always evaluate as ‘true’ [-Waddress]
miexpose.c:219:48: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
miexpose.c:252:48: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
miexpose.c:256:51: warning: the address of ‘srcBox’ will always evaluate as ‘true’ [-Waddress]
miexpose.c:549:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
miexpose.c:750:52: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
mibstore.c:480:48: warning: the address of ‘bounds’ will always evaluate as ‘true’ [-Waddress]
mibank.c:778:59: warning: the address of ‘fastBox’ will always evaluate as ‘true’ [-Waddress]
mioverlay.c:224:49: warning: the address of ‘fullBox’ will always evaluate as ‘true’ [-Waddress]
mioverlay.c:225:49: warning: the address of ‘fullBox’ will always evaluate as ‘true’ [-Waddress]
mioverlay.c:1056:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
mioverlay.c:1801:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
XKBMisc.c:669:23: warning: the address of ‘newTypes’ will always evaluate as ‘true’ [-Waddress]
render2.c:107:12: warning: the address of ‘u1’ will always evaluate as ‘true’ [-Waddress]
render2.c:108:14: warning: the address of ‘u2’ will always evaluate as ‘true’ [-Waddress]
render2.c:150:12: warning: the address of ‘u1’ will always evaluate as ‘true’ [-Waddress]
render2.c:151:14: warning: the address of ‘u2’ will always evaluate as ‘true’ [-Waddress]
render2.c:152:15: warning: the address of ‘v1’ will always evaluate as ‘true’ [-Waddress]
render2.c:153:15: warning: the address of ‘v2’ will always evaluate as ‘true’ [-Waddress]
render2swap.c:143:12: warning: the address of ‘u1’ will always evaluate as ‘true’ [-Waddress]
render2swap.c:144:14: warning: the address of ‘u2’ will always evaluate as ‘true’ [-Waddress]
render2swap.c:191:12: warning: the address of ‘u1’ will always evaluate as ‘true’ [-Waddress]
render2swap.c:192:14: warning: the address of ‘u2’ will always evaluate as ‘true’ [-Waddress]
render2swap.c:193:15: warning: the address of ‘v1’ will always evaluate as ‘true’ [-Waddress]
render2swap.c:194:15: warning: the address of ‘v2’ will always evaluate as ‘true’ [-Waddress]
fbcopy.c:575:48: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fboverlay.c:149:48: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:312:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1416:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1461:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1492:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1521:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1552:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1590:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1654:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1721:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1753:494: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1758:494: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1763:494: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1768:494: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1818:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1869:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1911:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1950:490: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:1987:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2026:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2067:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2106:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2154:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2195:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2219:405: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2261:287: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
fbpseudocolor.c:2298:288: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
damage.c:234:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
damage.c:1937:52: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXwindow.c:516:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXwindow.c:517:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXwindow.c:518:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXwindow.c:519:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXmiexpose.c:256:48: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXmiexpose.c:289:48: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXmiexpose.c:293:51: warning: the address of ‘srcBox’ will always evaluate as ‘true’ [-Waddress]
X/NXmiexpose.c:604:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXmiexpose.c:824:52: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXmiwindow.c:134:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXdamage.c:251:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
X/NXdamage.c:2044:52: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Events.c:2444:53: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:2157:55: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:2158:55: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:2408:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:2409:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:2410:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:2411:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:3106:53: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Screen.c:4034:49: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Drawable.c:797:55: warning: the address of ‘tileBox’ will always evaluate as ‘true’ [-Waddress]
Drawable.c:1546:53: warning: the address of ‘tmpBox’ will always evaluate as ‘true’ [-Waddress]
Drawable.c:2468:51: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]
Window.c:2158:55: warning: the address of ‘box’ will always evaluate as ‘true’ [-Waddress]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Mon, 30 Sep 2013 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Sep 2013 08:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 314@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mirraz Mirraz <mirraz1@rambler.ru>, 314@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#314: nx-libs compilation warnings
Date: Mon, 30 Sep 2013 07:48:56 +0000
[Message part 1 (text/plain, inline)]
Hi Mirraz,

On  So 29 Sep 2013 10:31:14 CEST, Mirraz Mirraz wrote:

> Building nx-libs-3.5.0.21-full I'v got this compilation warnings:
>
> ddxLoad.c:220:3: warning: implicit declaration of function ‘stat’  
> [-Wimplicit-function-declaration]
>
> imLcPrs.c:592:14: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:1797:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:1809:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:1821:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:3645:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:3657:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:3669:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:5493:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:5505:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> get.c:5517:40: warning: array subscript is above array bounds  
> [-Warray-bounds]
> arbprogparse.c:3262:14: warning: array subscript is above array  
> bounds [-Warray-bounds]
>
> XKBMisc.c:669:23: warning: the address of ‘newTypes’ will always  
> evaluate as ‘true’ [-Waddress]
> lcFile.c:441:11: warning: the address of ‘cat’ will always evaluate  
> as ‘true’ [-Waddress]
> miwindow.c:117:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> security.c:1403:51: warning: the address of ‘imageBox’ will always  
> evaluate as ‘true’ [-Waddress]
> window.c:442:51: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> window.c:443:51: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> window.c:444:51: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> window.c:445:51: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> panoramiX.c:453:48: warning: the address of ‘TheBox’ will always  
> evaluate as ‘true’ [-Waddress]
> panoramiX.c:1185:51: warning: the address of ‘SrcBox’ will always  
> evaluate as ‘true’ [-Waddress]
> miexpose.c:219:48: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> miexpose.c:252:48: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> miexpose.c:256:51: warning: the address of ‘srcBox’ will always  
> evaluate as ‘true’ [-Waddress]
> miexpose.c:549:49: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> miexpose.c:750:52: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> mibstore.c:480:48: warning: the address of ‘bounds’ will always  
> evaluate as ‘true’ [-Waddress]
> mibank.c:778:59: warning: the address of ‘fastBox’ will always  
> evaluate as ‘true’ [-Waddress]
> mioverlay.c:224:49: warning: the address of ‘fullBox’ will always  
> evaluate as ‘true’ [-Waddress]
> mioverlay.c:225:49: warning: the address of ‘fullBox’ will always  
> evaluate as ‘true’ [-Waddress]
> mioverlay.c:1056:49: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> mioverlay.c:1801:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> XKBMisc.c:669:23: warning: the address of ‘newTypes’ will always  
> evaluate as ‘true’ [-Waddress]
> render2.c:107:12: warning: the address of ‘u1’ will always evaluate  
> as ‘true’ [-Waddress]
> render2.c:108:14: warning: the address of ‘u2’ will always evaluate  
> as ‘true’ [-Waddress]
> render2.c:150:12: warning: the address of ‘u1’ will always evaluate  
> as ‘true’ [-Waddress]
> render2.c:151:14: warning: the address of ‘u2’ will always evaluate  
> as ‘true’ [-Waddress]
> render2.c:152:15: warning: the address of ‘v1’ will always evaluate  
> as ‘true’ [-Waddress]
> render2.c:153:15: warning: the address of ‘v2’ will always evaluate  
> as ‘true’ [-Waddress]
> render2swap.c:143:12: warning: the address of ‘u1’ will always  
> evaluate as ‘true’ [-Waddress]
> render2swap.c:144:14: warning: the address of ‘u2’ will always  
> evaluate as ‘true’ [-Waddress]
> render2swap.c:191:12: warning: the address of ‘u1’ will always  
> evaluate as ‘true’ [-Waddress]
> render2swap.c:192:14: warning: the address of ‘u2’ will always  
> evaluate as ‘true’ [-Waddress]
> render2swap.c:193:15: warning: the address of ‘v1’ will always  
> evaluate as ‘true’ [-Waddress]
> render2swap.c:194:15: warning: the address of ‘v2’ will always  
> evaluate as ‘true’ [-Waddress]
> fbcopy.c:575:48: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> fboverlay.c:149:48: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:312:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1416:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1461:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1492:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1521:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1552:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1590:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1654:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1721:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1753:494: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1758:494: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1763:494: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1768:494: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1818:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1869:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1911:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1950:490: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:1987:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2026:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2067:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2106:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2154:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2195:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2219:405: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2261:287: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> fbpseudocolor.c:2298:288: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> damage.c:234:49: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> damage.c:1937:52: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> X/NXwindow.c:516:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXwindow.c:517:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXwindow.c:518:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXwindow.c:519:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXmiexpose.c:256:48: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXmiexpose.c:289:48: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXmiexpose.c:293:51: warning: the address of ‘srcBox’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXmiexpose.c:604:49: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXmiexpose.c:824:52: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXmiwindow.c:134:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXdamage.c:251:49: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> X/NXdamage.c:2044:52: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> Events.c:2444:53: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:2157:55: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:2158:55: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:2408:49: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:2409:49: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:2410:49: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:2411:49: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:3106:53: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Screen.c:4034:49: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]
> Drawable.c:797:55: warning: the address of ‘tileBox’ will always  
> evaluate as ‘true’ [-Waddress]
> Drawable.c:1546:53: warning: the address of ‘tmpBox’ will always  
> evaluate as ‘true’ [-Waddress]
> Drawable.c:2468:51: warning: the address of ‘box’ will always  
> evaluate as ‘true’ [-Waddress]
> Window.c:2158:55: warning: the address of ‘box’ will always evaluate  
> as ‘true’ [-Waddress]

are you willing to provide a patch? Otherwise, I will mark this  
reported issue as "won't fix" for now.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Mon, 30 Sep 2013 14:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mirraz Mirraz" <mirraz1@rambler.ru>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Sep 2013 14:33:01 GMT) Full text and rfc822 format available.

Message #15 received at 314@bugs.x2go.org (full text, mbox):

From: "Mirraz Mirraz" <mirraz1@rambler.ru>
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Subject: RE: Re: [X2Go-Dev] Bug#314: nx-libs compilation warnings
Date: Mon, 30 Sep 2013 18:03:44 +0400
[Message part 1 (text/plain, inline)]
> Пн. 30 сент. 2013 13:49:01 пользовате­ль Mike Gabriel (mike.gabriel@das-netzwerkteam.de) wrote:
> 
> are you willing to provide a patch? Otherwise, I will mark this      
> reported issue as "won't fix" for now.
> 
> Mike

OK, I didn't plan to do it, but if you want...
Propose patch which fixes 3 evident bugs: 1 implicit function declaration and 2 array index out of bounds.
I agree "[-Waddress]" warnings are not so terrible and may be that code helps to avoid future mistakes.
What about warnings in get.c: I don't know what to do.
[nx-3.5.0.21-compilation_warnings.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Sep 2013 14:33:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Mon, 30 Sep 2013 19:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Sep 2013 19:03:01 GMT) Full text and rfc822 format available.

Message #22 received at 314@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 314-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 314@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as pending for release
Date: Mon, 30 Sep 2013 21:01:02 +0200 (CEST)
tag #314 pending
fixed #314 2:3.5.0.22
thanks

Hello,

X2Go issue #314 (src:nx-libs) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=2ef4ab4

The issue will most likely be fixed in src:nx-libs (2:3.5.0.22).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2ef4ab414e6d872b4acfb369193a6cd2fe4e6957
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Sep 30 21:00:41 2013 +0200

    Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs: one implicit function declaration issue and two array index out of bounds issues. (Fixes: #314).

diff --git a/debian/changelog b/debian/changelog
index 1f0ed61..5bc7c8d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 nx-libs (2:3.5.0.22-0) UNRELEASED; urgency=low
 
-  * Continue development...
+  [ Mirraz Mirraz ]
+  * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
+    one implicit function declaration issue and two array index out of bounds
+    issues. (Fixes: #314).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 30 Aug 2013 16:20:18 +0200
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Sep 2013 19:03:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 2:3.5.0.22. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 30 Sep 2013 19:03:02 GMT) Full text and rfc822 format available.

Message sent on to "Mirraz Mirraz" <mirraz1@rambler.ru>:
Bug#314. (Mon, 30 Sep 2013 19:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Mon, 30 Sep 2013 19:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 30 Sep 2013 19:33:02 GMT) Full text and rfc822 format available.

Message #34 received at 314@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mirraz Mirraz <mirraz1@rambler.ru>, 314@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#314: nx-libs compilation warnings
Date: Mon, 30 Sep 2013 19:20:45 +0000
[Message part 1 (text/plain, inline)]
Hi Mirraz,

On  Mo 30 Sep 2013 16:03:44 CEST, Mirraz Mirraz wrote:

>> Пн. 30 сент. 2013 13:49:01 пользовате­ль Mike Gabriel  
>> (mike.gabriel@das-netzwerkteam.de) wrote:
>>
>> are you willing to provide a patch? Otherwise, I will mark this      
>> reported issue as "won't fix" for now.
>>
>> Mike
>
> OK, I didn't plan to do it, but if you want...
> Propose patch which fixes 3 evident bugs: 1 implicit function  
> declaration and 2 array index out of bounds.
> I agree "[-Waddress]" warnings are not so terrible and may be that  
> code helps to avoid future mistakes.
> What about warnings in get.c: I don't know what to do.

thanks for that patched. As you might have noticed, I have applied the  
patch to nx-libs.git and it will be in 3.5.0.22.

However, do you consider this issue (#314) to be fixed? I have no  
spontaneous clue on the get.c issue, would have to sit down to find a  
solution.

Maybe someone else (Orion?) has an idea...

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-keys, inline)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Sat, 04 Jan 2014 20:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 20:45:02 GMT) Full text and rfc822 format available.

Message #39 received at 314@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 314-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 314@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Sat, 4 Jan 2014 21:42:44 +0100 (CET)
close #314
thanks

Hello,

we are very hopeful that X2Go issue #314 reported by you
has been resolved in the new release (2:3.5.0.22) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.22)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=b07b3cca09f5aa4a5c32dc4f75df2978a8aacaac;hp=b2a3143f8a9c2d5aaf20c14408354ef9a712a3ee

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.22-0x2go1
Status: RELEASE
Date: Sat, 04 Jan 2014 21:39:17 +0100
Fixes: 314 337 370
Changes: 
 nx-libs (2:3.5.0.22-0x2go1) RELEASED; urgency=low
 .
   [ Mirraz Mirraz ]
   * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
     one implicit function declaration issue and two array index out of bounds
     issues. (Fixes: #314).
 .
   [ Mike Gabriel ]
   * Add patch 604_nx-X11_recent-freetype-API.full.patch. Fix FTBFS against
     recent (>= 2.5.0) libfreetype6 API.
   * Refresh patch: 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch.
   * Improve patch:
     601_nx-X11_build-option-changes-to-not-use-bundled-libraries.full.patch.
     Improvements taken from the current Fedora package. Thanks to Orion
     Paplowski!!! Also adapt roll-tarball.sh do dropping more bundled
     libraries.
   * Rename patch: 302_nxagent_configurable-keystrokes.full.patch to
     320_nxagent_configurable-keystrokes.full.patch.
   * debian/source/format:
     + Switch to format 1.0.
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
     + Drop symlinking libNX_xrandr for setting a custom LD_LIBRARY_PATH. Not in
       use anymore and not recommended at all to have that.
     + Make sure all nx-libs components depend on the very same version.
   * debian/rules:
     + Remove bundled libraries from source tree before building the package.
   * nx-libs.spec:
     + Ship nx-libs.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers). File differs from the Fedora file
       already.
     + Clear (Fedora package) changelog.
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
     + Enable Xinerama support for RPM packages. (Fixes: #370).
 .
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
     FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#314; Package nx-libs. (Sat, 04 Jan 2014 20:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 04 Jan 2014 20:45:02 GMT) Full text and rfc822 format available.

Message #44 received at 314@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 314-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 314@bugs.x2go.org
Subject: X2Go issue (in src:nx-libs) has been marked as closed
Date: Sat, 4 Jan 2014 21:42:45 +0100 (CET)
close #314
thanks

Hello,

we are very hopeful that X2Go issue #314 reported by you
has been resolved in the new release (2:3.5.0.22) of the
X2Go source project »src:nx-libs«.

You can view the complete changelog entry of src:nx-libs (2:3.5.0.22)
below, and you can use the following link to view all the code changes
between this and the last release of src:nx-libs.

    http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=6afd7646df1e75991a11e89912ecb79b9cc668eb;hp=b2a3143f8a9c2d5aaf20c14408354ef9a712a3ee

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:nx-libs.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:nx-libs
Version: 2:3.5.0.22-0x2go1
Status: RELEASE
Date: Sat, 04 Jan 2014 21:39:17 +0100
Fixes: 314 337 370
Changes: 
 nx-libs (2:3.5.0.22-0x2go1) RELEASED; urgency=low
 .
   [ Mirraz Mirraz ]
   * Add patch: 603_nx-X11_compilation_warnings.full.patch. Fix 3 evident bugs:
     one implicit function declaration issue and two array index out of bounds
     issues. (Fixes: #314).
 .
   [ Mike Gabriel ]
   * Add patch 604_nx-X11_recent-freetype-API.full.patch. Fix FTBFS against
     recent (>= 2.5.0) libfreetype6 API.
   * Refresh patch: 600_nx-X11+nxcompext+nxcompshad_unique-libnames.full.patch.
   * Improve patch:
     601_nx-X11_build-option-changes-to-not-use-bundled-libraries.full.patch.
     Improvements taken from the current Fedora package. Thanks to Orion
     Paplowski!!! Also adapt roll-tarball.sh do dropping more bundled
     libraries.
   * Rename patch: 302_nxagent_configurable-keystrokes.full.patch to
     320_nxagent_configurable-keystrokes.full.patch.
   * debian/source/format:
     + Switch to format 1.0.
   * debian/control:
     + Add libfreetype6-dev to Build-Depends: field.
     + Drop symlinking libNX_xrandr for setting a custom LD_LIBRARY_PATH. Not in
       use anymore and not recommended at all to have that.
     + Make sure all nx-libs components depend on the very same version.
   * debian/rules:
     + Remove bundled libraries from source tree before building the package.
   * nx-libs.spec:
     + Ship nx-libs.spec (RPM package definitions) in upstream project. (Thanks
       to the Fedora package maintainers). File differs from the Fedora file
       already.
     + Clear (Fedora package) changelog.
     + Use local tarball, don't expect  ,,-full'' in tarball name.
     + The RPM macro for the linker flags does not exist on EPEL. Thus, hardcode
       __global_ldflags macro for EPEL builds.
     + Enable Xinerama support for RPM packages. (Fixes: #370).
 .
   [ Clemens Lang ]
   * Add patch 605_nxcomp_Types.h-dont-use-STL-internals-on-libc++.full.patch. Fix
     FTBFS of nx-libs-lite on Mac OS X Mavericks. (Fixes: #337).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Jan 2014 20:45:05 GMT) Full text and rfc822 format available.

Notification sent to "Mirraz Mirraz" <mirraz1@rambler.ru>:
Bug acknowledged by developer. (Sat, 04 Jan 2014 20:45:05 GMT) Full text and rfc822 format available.

Message sent on to "Mirraz Mirraz" <mirraz1@rambler.ru>:
Bug#314. (Sat, 04 Jan 2014 20:45:07 GMT) Full text and rfc822 format available.

Message sent on to "Mirraz Mirraz" <mirraz1@rambler.ru>:
Bug#314. (Sat, 04 Jan 2014 20:45:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 02 Feb 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Jul 18 21:50:51 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.